Bug 488118 - (CVE-2008-6373) CVE-2008-6373 nagios: unspecified vuln related to CGI programs
CVE-2008-6373 nagios: unspecified vuln related to CGI programs
Status: CLOSED UPSTREAM
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate ,source=gentoo ,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 14:27 EST by Vincent Danen
Modified: 2010-12-23 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 17:53:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2009-03-02 14:27:47 EST
Common Vulnerabilities and Exposures assigned an identifier  to
the following vulnerability:

Name: CVE-2008-6373
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-6373
Assigned: 20090302
Reference: CONFIRM: http://www.nagios.org/development/history/nagios-3x.php
Reference: CONFIRM: http://www.nagios.org/news/#88
Reference: BID:32611
Reference: URL: http://www.securityfocus.com/bid/32611
Reference: SECUNIA:32909
Reference: URL: http://secunia.com/advisories/32909

Unspecified vulnerability in Nagios before 3.0.6 has unspecified
impact and remote attack vectors related to CGI programs, "adaptive
external commands," and "writing newlines and submitting service
comments."

Additional resources:

http://bugs.gentoo.org/show_bug.cgi?id=249876
http://sourceforge.net/mailarchive/forum.php?thread_name=E1L6mat-0001sb-RN%40fdv4jf1.ch3.sourceforge.com&forum_name=nagios-checkins

And a thread the discusses this issue:

http://www.openwall.com/lists/oss-security/2008/12/17/10
Comment 1 Vincent Danen 2009-03-23 18:04:23 EDT
Fedora 10 should be updated to 3.0.6 to correct this issue (3.0.6 is currently in testing).

For Fedora 9 and HPC which provide Nagios 2.x, this is a non-issue as this is due to an incomplete fix for CVE-2008-5028 and should therefore only affect Nagios 3.0.5 (so only affecting Fedora 10).
Comment 2 Vincent Danen 2009-03-24 10:59:39 EDT
Sorry, this one refers to an incomplete CVE-2008-5027 fix, not -5028 (but again only affects Nagios 3.0.5).

Note You need to log in before you can comment on or make changes to this bug.